Skip to main content
DELETE
/
connector_profiles
/
{connectorProfileId}
/
pinned_version
Delete Connector Profile Pinned Version
curl --request DELETE \
  --url https://api.stackone.com/connector_profiles/{connectorProfileId}/pinned_version \
  --header 'Authorization: Basic <encoded-value>'
{
  "statusCode": 400,
  "message": "Bad Request",
  "timestamp": "2023-05-30T00:00:00.000Z",
  "data": {
    "statusCode": 400,
    "message": "Bad Request",
    "headers": {
      "content-type": "application/json",
      "x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
    }
  },
  "provider_errors": [
    {
      "status": 400,
      "url": "https://api.provider.com/v1/resource",
      "raw": {
        "message": "Invalid input parameters"
      },
      "headers": {
        "content-type": "application/json",
        "x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.stackone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

connectorProfileId
string
required

Response

The pinned version for the connector profile was removed.